
body{
    font-family: 'Roboto Serif', serif;
    font-family: 'Ubuntu', sans-serif;
    background-image: url("../image/background.png");
    background-repeat: no-repeat;
    background-size: cover;
}
                         /*----------HEADER--------*/
.header-container{
    margin-bottom: 55px;
    padding: 0  80px;
    height: 58px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}
.header-logo{

    text-transform: uppercase;
    text-decoration: none;
    font-size: 22px;
    line-height: 22px;
    font-weight: 700;
    color: #FFFF;

}
.colored-green:hover{
    color:#3CB878;
}
.header-contacts{
    display: flex;
    justify-content: space-between;

}
.flexed-icons{
    display: flex;
    justify-content: space-between;
}

.logo-item{
    padding-right: 25px;
}


.logo-item:nth-child(4){
    color: #FFFF;
    font-size: 14px;
    align-self: flex-end;
}
.logo-item:nth-child(4):after{
    content: " ";
    background:  #FFFFFFE5;
;
    width: 1px;
    height: 20px;
    float: left;
    margin-right: 25px;
}

.log-in,.sign-up{
    text-decoration: none;
    color: #FFFF;
}


                             /*-----------MAIN------------*/
.main-container{
    position: relative;
    height: 584px;
    width: 444px;
    background-color: #FFFF;
    margin: 0 auto;
}
.main-container::before{
    position: absolute;
    content: " ";
    width: 18px;
    height: 18px;
    left: 0;
    top:29px;
    background: #3CB878;
}
.main-content{
    padding: 30px 60px 40px;
}
.main-sign{
    text-transform: capitalize;
    color: #434343;
    font-size: 20px;
    line-height: 20px;
}
.registration{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}
.main-login{
    text-decoration: none;
    color: #3CB878;
}
.main-login:hover{
    color: #01813F;
    text-decoration: underline;
}
.registration-buttons{
    display: flex;
    justify-content: space-between;
}
.social-network-btn{
    position: relative;
    display: flex;
    width: 160px;
    height: 48px;
    border-radius: 5px;
   border-color: transparent;
    outline: none;
}
.social-network-item{
    position: absolute;
    top:10px;
    left: 15px;
}
.button-text:after{

    content: " ";
    background: #0A162F;
    opacity: 20%;
    width: 1px;
    height: 28px;
    float: left;
    margin-right: 20px;
}


.button-text{
    position:absolute;
    top:10px;
    right: 20px;
    text-transform: capitalize;
    color: #FFFFFF;
    font-size: 16px;
    line-height: 16px;

}
.button-text:before {

}
.facebook-btn{
    padding-left: 17px;
    padding-right: 22px;
    background-color: #305DB8;

}
.facebook-btn:hover{
    background-color: #022263;
}
.google-btn{
    padding-left: 12px;
    padding-right: 25px;
    background-color: #DF4A32;

}
.google-btn:hover{
    background-color: #AB1F09;
}
.underline{
    overflow: hidden;
    padding-top: 30px;
    color: #848484;
    font-size: 14px;
    text-align: center;
}
.underline:before ,.underline:after{
    content: '';
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    width: 100%;
    height: 1px;
    background:#F2F2F2;
    border: solid #FFF;
    border-width: 0 10px;
}
.underline:before{
    margin-left: -100%;
}
.underline:after{
    margin-right: -100%;
}

                    /*----------------FORM----------*/
.login-form-wrap{
    width:100%;

}

.registration-form-input{
    box-sizing: border-box;
    width: 100%;
    padding-left: 20px;
    margin-top: 16px;
    height: 45px;
    outline: none;
    border: 1px solid #F2F2F2;
    border-radius: 4px;

}
.registration-form-input:focus {
    box-shadow: 0 3px 8px 0 #00000036;
}
input:focus::-webkit-input-placeholder {
    color: #434343;
}
                       /*--checkbox-style--*/
.checkbox{
    position: relative;
    margin-top: 10px;
}
.checkbox-input{
    -webkit-appearance: none;
    appearance: none;
    position:absolute;
}
.checkbox-label{
    padding-left: 30px;
    font-size: 14px;
    color: #434343;
}
.checkbox-label:before{
    content: ' ';
    display: block;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
}
.checkbox-label:after{
    content: " ";
    display: block;
    width: 20px;
    height: 20px;
    background: url("../image/check.png") no-repeat;
    background-size: 20px 20px;
    opacity: 0;
    position: absolute;
    left: 0;
    top:0;
    z-index: 2;
    transition: opacity 0.5s linear;

}
.checkbox-input:checked+.checkbox-label:after{
    opacity: 1;

}
.agreement-link{
    text-decoration: none;
    color: #3CB878;
}
.agreement-link:hover{
    color: #01813F;
    text-decoration: underline;
}
                                  /*--submit style--*/
.submit{
    margin-top: 20px;
    margin-bottom: 40px;
    box-sizing: border-box;
    width: 100%;
    height: 45px;
    font-size: 16px;
    color: #FFFFFF;
    background-color: #3CB878CC;
    border: 1px solid #3CB878CC;
    border-radius: 4px;

}
.submit:hover{
    background-color: #01813F;
    border: 1px solid #01813F;
}
.logo-icon:hover{
    fill: #3CB878;
}